{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "touch"
            ],
            "inputs": [],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "genomics-workspace.yml"
                }
            ],
            "id": "#create_yml.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.yml"
                    },
                    "id": "#create_yml.cwl/Yml_file"
                }
            ]
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/blastdb_Path_production"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/cds_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_analyses"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_genomic_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/genome_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/hmmerdb_Path_production"
                },
                {
                    "type": "string",
                    "id": "#main/managePy_Path"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/protein_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/scientific_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/transcript_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/tree"
                }
            ],
            "steps": [
                {
                    "run": "#create_yml.cwl",
                    "in": [],
                    "out": [
                        "#main/create_yml/Yml_file"
                    ],
                    "id": "#main/create_yml"
                },
                {
                    "run": "#writeFirstLine.cwl",
                    "in": [
                        {
                            "source": "#main/create_yml/Yml_file",
                            "id": "#main/writeFirstLine/yml_file"
                        }
                    ],
                    "out": [
                        "#main/writeFirstLine/Yml_file"
                    ],
                    "id": "#main/writeFirstLine"
                },
                {
                    "run": "#writeYml.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/writeYml/PATH"
                        },
                        {
                            "source": "#main/blastdb_Path_production",
                            "id": "#main/writeYml/blastdb_Path_production"
                        },
                        {
                            "source": "#main/cds_fasta_name",
                            "id": "#main/writeYml/cds_fasta_name"
                        },
                        {
                            "source": "#main/deepPATH_analyses",
                            "id": "#main/writeYml/deepPATH_analyses"
                        },
                        {
                            "source": "#main/deepPATH_genomic_fasta",
                            "id": "#main/writeYml/deepPATH_genomic_fasta"
                        },
                        {
                            "source": "#main/genome_fasta_name",
                            "id": "#main/writeYml/genome_fasta_name"
                        },
                        {
                            "source": "#main/hmmerdb_Path_production",
                            "id": "#main/writeYml/hmmerdb_Path_production"
                        },
                        {
                            "source": "#main/managePy_Path",
                            "id": "#main/writeYml/managePy_Path"
                        },
                        {
                            "source": "#main/scientific_name",
                            "id": "#main/writeYml/scientific_name"
                        },
                        {
                            "source": "#main/transcript_fasta_name",
                            "id": "#main/writeYml/transcript_fasta_name"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/writeYml/tree"
                        },
                        {
                            "source": "#main/writeFirstLine/Yml_file",
                            "id": "#main/writeYml/yml_file"
                        }
                    ],
                    "out": [
                        "#main/writeYml/Yml_file"
                    ],
                    "id": "#main/writeYml"
                },
                {
                    "run": "#writeYml-protein-fasta.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/writeYml-protein-fasta/PATH"
                        },
                        {
                            "source": "#main/deepPATH_analyses",
                            "id": "#main/writeYml-protein-fasta/deepPATH_analyses"
                        },
                        {
                            "source": "#main/deepPATH_genomic_fasta",
                            "id": "#main/writeYml-protein-fasta/deepPATH_genomic_fasta"
                        },
                        {
                            "source": "#main/protein_fasta_name",
                            "id": "#main/writeYml-protein-fasta/protein_fasta_name"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/writeYml-protein-fasta/tree"
                        },
                        {
                            "source": "#main/writeYml/Yml_file",
                            "id": "#main/writeYml-protein-fasta/yml_file"
                        }
                    ],
                    "out": [
                        "#main/writeYml-protein-fasta/Yml_file"
                    ],
                    "id": "#main/writeYml-protein-fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/create_yml/Yml_file",
                    "id": "#main/Yml_file"
                }
            ],
            "id": "#main"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.yml_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#writeFirstLine.cwl/yml_file"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo '#This yml file is used for genomics-workspace workflow' > genomics-workspace.yml"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.yml"
                    },
                    "id": "#writeFirstLine.cwl/Yml_file"
                }
            ],
            "id": "#writeFirstLine.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.yml_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml-protein-fasta.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml-protein-fasta.cwl/deepPATH_analyses"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml-protein-fasta.cwl/deepPATH_genomic_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml-protein-fasta.cwl/protein_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml-protein-fasta.cwl/tree"
                },
                {
                    "type": "File",
                    "id": "#writeYml-protein-fasta.cwl/yml_file"
                }
            ],
            "baseCommand": [
                "bash",
                "-c"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo -e '${ var A = inputs.protein_fasta_name; var B = '{class: File, path: ' + inputs.PATH[0] + '/' + inputs.tree[0] + '/' + inputs.tree[1] + '/' + inputs.deepPATH_genomic_fasta[0] + '/' + inputs.deepPATH_analyses[0] + '/' + inputs.tree[2] + '/'; var C = []; for (var i = 0; i < A.length; i++) { C = C + B + A[i] + '}'; if(i != A.length-1) { C = C + ','; } } return C; }\n]' >> genomics-workspace.yml"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.yml"
                    },
                    "id": "#writeYml-protein-fasta.cwl/Yml_file"
                }
            ],
            "id": "#writeYml-protein-fasta.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.yml_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/blastdb_Path_production"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/cds_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/deepPATH_analyses"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/deepPATH_genomic_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/genome_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/hmmerdb_Path_production"
                },
                {
                    "type": "string",
                    "id": "#writeYml.cwl/managePy_Path"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/scientific_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/transcript_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/tree"
                },
                {
                    "type": "File",
                    "id": "#writeYml.cwl/yml_file"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo -e 'scientific_name: $(inputs.scientific_name)\ntree: $(inputs.tree)\nmanagePy_Path: $(inputs.managePy_Path)\nblastdb_Path: $(inputs.blastdb_Path_production)\nhmmerdb_Path: $(inputs.hmmerdb_Path_production)\nin_fasta:\n  class: File\n  path: $(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_genomic_fasta[0])/$(inputs.genome_fasta_name[0])\nin_fasta_transcript:\n  class: File\n  path: $(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_genomic_fasta[0])/$(inputs.deepPATH_analyses[0])/$(inputs.tree[2])/$(inputs.transcript_fasta_name[0])\nin_fasta_cds:\n  class: File\n  path: $(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_genomic_fasta[0])/$(inputs.deepPATH_analyses[0])/$(inputs.tree[2])/$(inputs.cds_fasta_name[0])\nin_fasta_protein: [' >> genomics-workspace.yml"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.yml"
                    },
                    "id": "#writeYml.cwl/Yml_file"
                }
            ],
            "id": "#writeYml.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
